QT       += core gui network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17
# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    main.cpp \
    qtgui/bookmarks.cpp \
    qtgui/bookmarkstablemodel.cpp \
    qtgui/bookmarkstaglist.cpp \
    qtgui/freqctrl.cpp \
    qtgui/meter.cpp \
    qtgui/plotter.cpp \
    specwidget.cpp \
    stdout_watcher.cpp

HEADERS += \
    qtgui/bookmarks.h \
    qtgui/bookmarkstablemodel.h \
    qtgui/bookmarkstaglist.h \
    qtgui/freqctrl.h \
    qtgui/meter.h \
    qtgui/plotter.h \
    specwidget.h \
    stdout_watcher.h

FORMS += \
    specwidget.ui

LIBS += -luhd
win32{
    INCLUDEPATH +="$$PWD/3rdlibs/win32/fftw"
    contains(QT_ARCH, i386) {
	LIBS+=-L"$$PWD/3rdlibs/win32/fftw/x86" -llibfftw3-3
    } else {
	LIBS+=-L"$$PWD/3rdlibs/win32/fftw/x64" -llibfftw3-3
    }
    INCLUDEPATH +="$(UHD_PKG_PATH)/include"
    LIBS += -L"$(UHD_PKG_PATH)/lib"
    SOURCES += \
	uhd_device_win32.cpp
    HEADERS += \
	uhd_device_win32.h
}else {
SOURCES += \
    uhd_device.cpp
HEADERS += \
    uhd_device.h
LIBS+=-lfftw3 -lpthread
}
